abc:
#include <stdio.h>
int main(int v, char* c) {
label1:
    label_with_leading_spcs:
label_with_trailing_spcs:   
label_with_intercolon_spcs   :
/*precomment*/label_with_precomment:
label_with_post_comment:// Post comment.
label_with_post_comment_trailings:/* Post comment w trailing. */    
label_with_intercomment/* Inter comment.*/:
_yes_a_label:
_yes_2_label:
3_not_a_label:  // Can't start with a number.
not%a_label:
not^a_label:
default_plus_is_label:
default_ : // Is a label.
 /*mess*/   label_with_mess /* Post comment.*/   :   //still ok.    
    switch (v-1) {
        case 0:
            printf("zero\n"); break /*comment*/;
        case 1:
            printf("one\n"); break   /*comment*/   ;    //trailer
        case 2:
  /*hmm*/   printf("two\n")  ;/*keep;*/ break   ;//comment
        case 3: 
            printf("hang\n"); goto label1;
        default:   // Technically not a label despite appearances.
            printf("some\n"); break;
    }
    return 0;
}
xyz:
